;***** START UP JOTI-IRC ******

on *:START: {
	/set %tmp.startup 1
	/set %ff $regex($date, /\d{2}\/\d{2}\/(\d{4})/)
	/set %currentyear $regml(1);
	
	/checkvars
	if ($file($+($adiircdir,\pix\iconbar.bmp))) {
  	/background -hte $adiircdir\pix\iconbar.bmp
  }
  if ($file($+($adiircdir,\pix\switchbar.bmp))) {
  	/background -lte $adiircdir\pix\switchbar.bmp
  }
  /.toolbar -c
  /titlebar Dieses JOTA-JOTI wurde ermöglicht durch 4scouts.nl
	/showversions
  /checkfileversions
}

alias showversions {
  /echo 4 ***************************************
  /echo 4 START UP JOTI-IRC 
  /echo 4 SCRIPT VERSION: %script.version 
  /echo 4 MODUS: %setup.joti.mode 
  /echo 4 AUSFÜHRUNGSVERZEICHNIS: $adiircdir 
  /echo 4 CLIENTID: %setup.joti.clientid
  /echo 4 ***************************************
}

alias runstartup {
 	if ((%setup.joti.mode == setup) || (%setup.joti.mode == $null)) {
 		/echo -sg Erstkonfiguration
 		/.load -rs $adiircdir $+ Scripts\scoutlinksetup-eng.ini
   	/startsetup
 	} elseif (%setup.joti.mode == single) {
 		/toolbarsetup
 		/toolbarupdate
  	/dialog -m usernick usernick
 	} elseif (%setup.joti.mode == group) {
 		/toolbarsetup
 		/toolbarupdate
   	/dialog -m usernick usernick
 	} else {
   	/echo 4 FEHLER: KONFIGURATION BESCHÄDIGT!!! 
 	}
 	/set %tmp.startup 0
}	


alias checkvars {
  /set %script.version 2024.1
  
  /set %connection disconnected
  /set %usermode on
  /set %mynickname $null
  /set %setup.url.filebase https://www.4scouts.nl/jotiirc
  /set %localadminmode 0
  /set %operator.chan #deutsch_ops
  
	if (%tmp.toolbaricons == $null) {
		/set %tmp.toolbaricons more
	}
  if (%tmp.chanfilter == $null) {
  	/set %tmp.chanfilter dutch
  }
  if (%timedisplay == $null) {
  	/set %timedisplay on
  }
  if (%sounds == $null) {
  	/set %sounds on
  }
  if (%fonts == $null) {
  	/set %fonts large
  }
 	if (%setup.joti.afsluitbericht == $null) {
		/set %setup.joti.afsluitbericht Viel Spaß beim JOTA-JOTI
	}  
	if (%setup.joti.clientid == $null) {
		/set %setup.joti.clientid $+(jotistation_,$rand(10000,50000))
	}
	
	/.setoption Server QuitMsg Viel Spaß beim JOTA-JOTI %currentyear
	
	if ($exists($adiircdir $+ upp.exe)) {
		/.remove $adiircdir $+ upp.exe
	}	
	/set %tmp.ircupdate 0
}

;***** TOOLBAR JOTI-IRC ******

alias toolbarsetup {
	/set %toolbaricons $+($adiircdir,pix\)
	/set %brokenicon $+(%toolbaricons,jj.ico)
	/toolbar -c 
	
	/noop $createbutton(start,"Mit dem ScoutLink Netzwerk verbinden",start.ico,"/dialog -m usernick usernick")
	/noop $createbutton(stop,"Vom ScoutLink Netzwerk trennen",stop.ico,"/quit %setup.joti.afsluitbericht")
	/noop $createbutton(nick,"Nickname ändern",nick.ico,"/dialog -m usernick usernick")
	/noop $createbutton(channel,"Einen Kanal besuchen",join.ico,"/bezoek")
	/noop $createbutton(listall,"Komplette Kanalliste abrufen",listall.ico,"/fetchchannels")
	/noop $createbutton(listdutch,"Englische Kanalliste abrufen",listdutch.ico,"/fetchchannels #deutsch")
	/noop $createbutton(arrangewindows,"Fenster anordnen",windows.ico,"/arrangewindows")
  /noop $createbutton(smallfont,"Kleine Schriftzeichen?",smallfont.ico,"/klein")
  /noop $createbutton(largefont,"Große Schriftzeichen?",largefont.ico,"/groot")
;  /noop $createbutton(info,"Informationen über diese ADIIRC-Version",info.ico,"/dialog -m clientinfo clientinfo")
  /noop $createbutton(scoutlink,"ScoutLink Webseite besuchen",scoutlink.ico,"/url https://www.scoutlink.nl")
  /noop $createbutton(timeon,"Zeitstempel ein",timer.ico,"/timeon")
  /noop $createbutton(timeoff,"Zeitstempel aus",notimer.ico,"/timeoff")
  /noop $createbutton(sounds,"Sound ein",sound.ico,"/switchsound")
  /noop $createbutton(nosounds,"Sound aus",nosound.ico,"/switchsound")
  /noop $createbutton(viewlog,"Registrierungslog anzeigen",viewlog.ico,"/url  $adiircdir\records\index.html")
  /noop $createbutton(addlog,"Logeintrag manuell hinzufügen",addlog.ico,"/addlog")
  /noop $createbutton(games,"Spiel-Kanäle",games.ico,"/startgames")
  /noop $createbutton(badges,"Übersicht deiner Abzeichen",badges.ico,"/badgeoverzicht")
  /noop $createbutton(more,"Mehr Buttons",more.ico,"/more")
  /noop $createbutton(less,"Weniger Buttons",less.ico,"/less")
  /noop $createbutton(panic,"Ich brauche Hilfe!",panic.ico,"/panic")
  /noop $createbutton(setupid,"Stations-ID setzen",config.ico,"/setupid")
  /noop $createbutton(registernick,"Nickname bei ScoutLink registrieren!",regnick.ico,"/registernick")
	/noop $createbutton(usermodeoff,"Spamfilter aus",usermodeoff.ico,"/switchspam")
  /noop $createbutton(usermodeon,"Spamfilter an",usermodeon.ico,"/switchspam")
  	
	/toolbarupdate
	/unset %toolbaricons
	/unset %brokenicon
}

alias createbutton {
	if ($0 != 4) {
		/echo -sg ungültiger Aufruf
	} else {
		var %iconfile = $+(%toolbaricons,$3)
		if ($exists(%iconfile)) {
			/toolbar -a $1 $2 %iconfile $4
		} else {
			/echo Icon $3 nicht gefunden
			/toolbar -a $1 $2 %brokenicon $4
		}
	}
	return $null
}

alias toolbarupdate {
  if (%connection == connected) {
    /toolbar -h start
    /toolbar -w stop
    /toolbar -w nick
    /toolbar -w channel
    /toolbar -w listall
    /toolbar -w listdutch
;    /toolbar -w info
    /toolbar -w games
    /toolbar -w badges
    /toolbar -w panic
    /toolbar -w registernick
    
    if (%usermode == on) {
			/toolbar -w usermodeoff
			/toolbar -h usermodeon
		} else {
			/toolbar -h usermodeoff
			/toolbar -w usermodeon
		}
  } else {
    /toolbar -w start
    /toolbar -h stop
    /toolbar -h nick
    /toolbar -h channel
    /toolbar -h listall
    /toolbar -h listdutch
;    /toolbar -h info   
    /toolbar -h games
    /toolbar -h badges
    /toolbar -h panic
    /toolbar -h registernick
    /toolbar -h usermodeoff
    /toolbar -h usermodeon
  }
	 	
  if (%font == small) {
    /toolbar -h smallfont
    /toolbar -w largefont
  } else {
 	 /toolbar -w smallfont
 	 /toolbar -h largefont
	}

  if (%sounds == on) {
  	/toolbar -h sounds
    /toolbar -w nosounds
  } else {
    /toolbar -w sounds
    /toolbar -h nosounds
  }
	
  
  if (%timedisplay == off) {
   	/toolbar -w timeon
   	/toolbar -h timeoff    	
	} else {
 		/toolbar -h timeon
 		/toolbar -w timeoff
  }

 	if ((%setup.joti.localadmin == 1) || (%setup.joti.mode == single)) {
 		/toolbar -w setupid
 	} else {
		/toolbar -h setupid
 	}

  if (%toolbaricons == less) {
;    /toolbar -h info
    /toolbar -h games
    /toolbar -h badges
    /toolbar -h scoutlink 
    /toolbar -h timeon
    /toolbar -h timeoff
    /toolbar -h listall
    /toolbar -h setupid
    /toolbar -h less
    /toolbar -w more    
  } else {
    /toolbar -w less
    /toolbar -h more
	} 
}

alias groot {
  /font -z 16 arial
  /set %font large
  /toolbarupdate
}

alias klein {
  /font -z 11 arial
  /set %font small
  /toolbarupdate
}

alias timeon {
  /timestamp on
  /set %timedisplay on
  /toolbarupdate
}

alias timeoff {
  /timestamp off
  /set %timedisplay off
  /toolbarupdate
}

alias arrangewindows {
  inc %arrwindow
  if (%arrwindow == 1) { /mdi -c }
  if (%arrwindow == 2) { /mdi -t }
  if (%arrwindow == 3) { /set %arrwindow 1 }
}

alias more {
	/set %toolbaricons more
	/toolbarupdate
}

alias less {
	/set %toolbaricons less
	/toolbarupdate
}

alias bezoek {
  /join $$?="Gib den Kanal ein, den du besuchen möchtest, inklusive des # Zeichens"
}

alias mme { 
  /return $address($me,2)
}

alias nickid {
  /NICKSERV identify $$?*="Gib das Passwort für deinen Nickname ein:"
}

alias nickghost { 
  /NICKSERV ghost $me $$?="Gib deinen registrierten Nickname ein:" $$?*="Gib dein Passwort ein:" 
}

alias panic {
  if (%setup.joti.mode == group) {
    /noticeadmin HILFE!
    /playsound panic.mp3
  } else {
    /query $nick(#,3,o) 4,8HILFE! <<<<PANIKKNOPF>>>>
  }
}

alias switchsound {
	if (%sounds == on) {
		%sounds = off
	} else {
		%sounds = on
	}
	/toolbarupdate
}

alias switchspam {
	if (%usermode == off) {
		/mode $me +R
		/set %usermode on
	} else {
		/mode $me -R
		/set %usermode off
	}
	/toolbarupdate
}

alias setupid {
  /set %setup.joti.clientid $$?="Gib die Stations-ID ein (z.B. PC1 Tisch1 etc.)"
  /echo setze %setup.joti.clientid
  /toolbarupdate
}

;***** USER DIALOGS JOTI-IRC *****
alias nick {
	/echo setze Nickname auf $1
	/set %mynickname $1
	/.nick $1
}

dialog usernick {
  title "Wähle einen Nickname"
  size -1 -1 350 460
  icon 1, 1 1 350 350, $adiircdir\pix\logo.png
  text "Bitte gib deinen Nickname ein und wähle deine Stufe aus",2, 20 375 250 24
  edit "$+(Nick_,$rand(10000,99999))",3, 20 400 150 24
  combo 4, 180 400 150 80,drop
  button "Weiter",5, 125 430 100 25, OK 
}

on *:DIALOG:usernick:init:0: { 
  did -a usernick 4 Wichtel
  did -a usernick 4 Jungpfadfinder
  did -a usernick 4 Pfadfinder
  did -a usernick 4 Entdecker
  did -a usernick 4 Rover
  did -a usernick 4 Leiter
  did -a usernick 4 Operator
}

on *:DIALOG:usernick:sclick:5: {
  set %schuilnaam $did(usernick,3).text
  set %speltak $did(usernick,4).seltext
  
  if (%schuilnaam == $null) {
  	%schuilnaam = $+(GAST_,$rand(10000,99999))
  }
  
  /set %mynickname %schuilnaam

	if (%setup.joti.prefix != $null) {
		if (%schuilnaam != %setup.joti.localadmin) {
			/set %mynickname %setup.joti.prefix $+ _ $+ %schuilnaam 
		}
	}

  /unset %schuilnaam
  if (%connection == disconnected) {
  	/conn
  } else {
  	/nick %mynickname
  }
}


alias requestnick {
	/playsound nicknameallreadyinuse.wav
	/echo -g Dein Nickname kann nicht verwendet werden
	/dialog -m usernick usernick
}

raw 432:*: {
	/requestnick
	/halt
}
raw 433:*: {
	/requestnick
	/halt
}


;***** CONNECTING JOTI-IRC ******
alias playsound {
	if (%sounds == on) {
		var %tmp.sound = $adiircdir $+ sounds\ $+ $$1
		if ($exists(%tmp.sound)) {
			/splay -c %tmp.sound
		}
	}
}
	
alias conn {
  var %connectdelay = $rand(1,5) 
  if (%connectdelay == 1) { /timerCONN1 1 1 /conn2 }
  if (%connectdelay == 2) { /timerCONN1 1 2 /conn2 }
  if (%connectdelay == 3) { /timerCONN1 1 3 /conn2 }
  if (%connectdelay == 4) { /timerCONN1 1 4 /conn2 }
  if (%connectdelay == 5) { /timerCONN1 1 5 /conn2 }
}

alias conn2 {  
  /server chat.scoutlink.net -nick %mynickname -real %mynickname -f
}

on *:CONNECTFAIL: {
  /disconnect
  /timerFAIL 1 1 /conn 
}

on *:CONNECT: {
  /echo 12 *********************************
  /echo 12 *  Viel Spaß beim Online-Spielen!!! *
  /echo 12 *********************************
  /set %connection connected
  
  if (%setup.joti.mode == group) {
  	if (%setup.joti.clientid == $null) {
  		%setup.joti.clientid = $host
  	}
  	if ($me == %setup.joti.localadmin) {
  		/echo 12 Lokaler Adminmodus
  		/adminconnected
  	} else {
  	  /noticeadmin verbunden
  	}
  }  	
  /playsound connected.wav
	/toolbarupdate  
  /loadbwlist
  /timerCONN2 1 1 /list
  /list
}
on *:NOTICE:*This nickname is registered*:?: {  
  if ($nick == NickServ) { 
    /timerNICKID 1 1 /nickid  
  }
}

on *:DISCONNECT: {
  /set %connection disconnected
 	/admindisconnect
  /playsound disconnected.wav
  /toolbarupdate
}

on *:NICK: {
	if ($nick == $me) {
		/playsound userchangednick.wav
		/echo -sg Benutzer hat Nickname von $nick zu $newnick geändert
		if (%setup.joti.mode == group) {
  		if ($newnick != %setup.joti.localadmin) {
    		/noticeadmin nickchange %mynickname $newnick
    		if (%localadminmode == 1) {
 					/admindisconnect
 				}
  		} else {
  			/adminconnected
  		}
  	}
  	/set %mynickname $newnick
  }
}

on *:JOIN:*: {
	if ($nick == $me) {
		/playsound channeljoined.wav
  	if ( ($nick != %setup.joti.localadmin) && (%setup.joti.mode == group) ) {
    	/noticeadmin channeljoin $chan 
  	}
  }
}

on *:OPEN:?:*: {
	if ($nick == $me) {
		/playsound privatemessage.wav
  	if ( ($nick != %setup.joti.localadmin) && (%setup.joti.mode == group) ) {
    	/noticeadmin querywindow $nick 
  	}
  }
}

on *:PART:#: {
	if ($nick == $me) {
		/playsound channelleft.wav
  	if (($nick != %setup.joti.localadmin) && (%setup.joti.mode == group)) {
    	/noticeadmin channelpart $chan
  	}
  }
}

on *:KICK:*: {
	if ($knick == $me) {
		/playsound userkicked.wav
 		if (%setup.joti.mode == group) {
 	  	/noticeadmin kicked $nick $chan
 		}
 		/window -c $chan
 		/echo -sg 4 Du wurdest aus dem Kanal $chan von $nick gekickt. Grund: $1-
	}
}

on *:BAN:*: {
	if ($bnick != $null) {
		if ($bnick == $me) {
			/playsound userbanned.wav
  		if (%setup.joti.mode == group) {
  	  	/noticeadmin banned $banmask $chan
  		}
  		/window -c $chan
  		/echo -sg 4 Du bist aus dem Kanal $chan von $nick gesperrt. Grund: $2-
  	}
  }
}

on *:TEXT:into the wild!:#dutch-opening: {
	if ($nick == geejee) {
  	 /msg #dutch-opening Wir sind geboren, geboren um WILD zu sein!
	}
}

;***** ADMIN SCRIPT JOTI-IRC ******
alias adminconnected {
  /window -dk0 @Usermonitor 150,50,250,500 
  /font -d @Usermonitor 14 arial
  /aline @Usermonitor 4Alle Ereignisse deiner Benutzer werden hier angezeigt
  /echo 4 **************************
  /echo 4 *  LOKALER ADMIN MODUS!!! *
  /echo 4 ************************** 
  /set %localadminmode 1
}

alias admindisconnect {
	/set %localadminmode = $null
	/window -c @Usermonitor
}

dialog waarschuwing {
	title "Warnung deines lokalen Administrators"
	option dbu
	size -1 -1 300 100
	text "",2,5 5 200 80
	button "schließen", 10, 125 85 34 10, cancel
}

alias noticeadmin {
	/.notice %setup.joti.localadmin $1- %setup.joti.clientid
	/set %tmp.ignorenonick 1
}

raw 401:*: {
	if (%tmp.ignorenonick == 1) {
		/unset %tmp.ignorenonick
		/halt
	}
}

alias dodebug {
	/debug -ets @debugging
}

menu nicklist,channel,query {
 	$iif((%localadminmode == 1) && (%setup.joti.mode == group),Admin-Funktionen) 
 		.ID: /.notice $$1 ID
	 	.Warnung: /.notice $$1 warning $$?="Bitte gib den Warntext ein"
 		.Nickname: /.notice $$1 changenick $$?="Bitte gib den neuen Nickname ein"
 		.Entfernen: /.notice $$1 verdwijn
 		.Beenden: /.notice $$1 exit
}

on *:NOTICE:*:* {
	if (%localadminmode == 1 ) {
		var %tmp.color = $null
		var %tmp.line = $null	
		
		if ($$1 == connected) {
			var %tmp.color = 2
			var %tmp.line = $nick ist online auf Joti-Station $$2
		}
  	
		if ($$1 == nickchange) {
			var %tmp.color = 12
			var %tmp.line = $nick hat den Nickname zu $$2 auf Joti-Station $$3 geändert
		}
		
		if ($$1 == channeljoin) {
			var %tmp.color = 3
			var %tmp.line = $nick tritt Kanal $$2 bei Joti-Station $$3
		}
  	
		if ($$1 == channelpart) {
			var %tmp.color = 0
			var %tmp.line = $nick verlässt Kanal $$2 Joti-Station $$3
		}
		
		if ($$1 == kicked) {
			var %tmp.color = 4
			var %tmp.line = $nick wurde aus $$3 von $$2 auf Joti-Station $$4 gekickt
		}
  	
		if ($$1 == banned) {
			var %tmp.color = 4
			var %tmp.line = $nick wurde aus $$3 von $$2 auf Joti-Station $$4 gekickt und gesperrt
		}
  	
		if ($$1 == querywindow) {
			var %tmp.color = 12
			var %tmp.line = $nick hat eine private Unterhaltung mit $$2 auf Joti-Station $$4 gestartet
		}
		if ($$1 == ID) {
			var %tmp.color 0
			var %tmp.line = $nick hat Stations-ID $$2
		}
		
		if ($$1 == HELP!) {
			var %tmp.color = 4
			var %tmp.line = $nick benötigt Hilfe auf Joti-Station $$1
			/playsound panic.mp3
		}
  } else {
	
		if (($nick == %setup.joti.localadmin) && (%setup.joti.mode == group)) {

			if ($$1 == ID) {
				/noticeadmin ID
			}
			
			if ($$1 == warning) {
				/dialog -m waarschuwing waarschuwing
				/did -a waarschuwing 2 $2-
			}  	
			if ($$1 == verdwijn) {
				/echo -sg $nick hat dich aus allen Chats entfernt!
				/playsound killed.wav
				/quit 4Ups, dieser Pfadfinder hat sich unangemessen verhalten und wurde entfernt!
			}
			if ($$1 == changenick) {
				/echo -sg Dein Nickname wurde von $nick zu $$2 geändert
				/nick $$2
			}
			
			if ($$1 == exit) {
				/echo -sg $nick hat deinen Chat geschlossen.
				/exit -n
			}
		}
	}
		
  	
	if (%tmp.line != $null) {
		/echo -g @Usermonitor %tmp.color $time - %tmp.line
		/write $adiircdir\logs\log%currentyear.txt $fulldate - %tmp.line
	}
}





;***** KANALLISTE JOTI-IRC ******

alias fetchchannels {
	if ($1 == $null) {
		/set %tmp.chanfilter $null
	} else {
  	/set %tmp.chanfilter $1
	}
	/.list
}

alias channelfilter { 
	if (%tmp.chanfilter != $null) {
  	var %myfilter = $+(*,%tmp.chanfilter,*)
  	/filter -cdio chat_channels 3 chat_channels 2 %myfilter
  } else {
  	/filter -cdio chat_channels 3 chat_channels 2 *
	}
}

alias list { 
	if ($1 != $null) {
  	set %tmp.chanfilter $1
	}
	/dialog -m chat_channels chat_channels
	/.raw list
}

dialog chat_channels {
	title "Wähle deinen Chat-Kanal"
	option dbu
	size -1 -1 300 200
	text "Kanalfilter",20,5 5 35 8
	edit %tmp.chanfilter, 21, 50 3 100 10
	list 2, 1 15 300 165, sort
	button "Liste filtern", 11, 155 3 50 10
	button "Schließen", 10, 125 185 34 10, cancel
	list 3, 400 1 1 1,
}

on *:DIALOG:chat_channels:sclick:11 {
	set %tmp.chanfilter $did(21)
	/channelfilter
}

on *:DIALOG:chat_channels:sclick:2 {
	var %line = $did(2,$did(2).sel).text
	var %naam, %dump = $regsub(%line,/\t.*/,$null,%naam)
	/join %naam
}

raw 322:*: {
	inc %listcounter
	var %x,%y = $regsub($2-,/.*?\]\s/,$null,%x)
	var %naam, %dump = $regsub($2-,/\s+.*/,$null,%naam);
	var %regel = %naam $chr(9)
	if ($len(%naam) < 8) { 
		%regel = %regel $chr(9) 
	}
	%regel = %regel $3 $chr(9) %x
	/did -a chat_channels 3 %regel
	/halt
}

raw 323:*: {
	/channelfilter
	/setusermode
	/halt
}

raw 221:*: {
	/setusermode
}

alias setusermode {
	if (R isincs $usermode) {
	 /set %usermode on
	} else {
	 /set %usermode off
	}
	/toolbarupdate
}

;***** SPIELEMENÜ JOTI-IRC ******

dialog games {
	title "Übersicht IRC-Spiele"
	size -1 -1 600 250
	icon 1, 1 1 150 150, $adiircdir\pix\pimpampet.bmp
	icon 2, 151 1 150 150, $adiircdir\pix\wakkerdam.bmp
	icon 3, 301 1 150 150, $adiircdir\pix\welpen.bmp
	icon 4, 451 1 150 150, $adiircdir\pix\uno.bmp
	icon 5, 601 1 150 150, $adiircdir\pix\trivia.bmp
	text "Pim Pam Pet, das altmodische niederländische Wortspiel, moderiert von: Pimmetje!",6, 5 160 140 50
	text "Die Werwölfe von Millers Hollow, das bekannte Spiel!",7, 155 160 140 50
	text "Die Werwölfe von Millers Hollow, eine Cub Scouts Dschungel-Edition!",8, 305 160 140 50
	text "UNO, spiele hier das weltberühmte Kartenspiel!",9, 455 160 140 50
	text "Trivia, teste dein Wissen in diesem Trivia-Quiz!",10, 605 160 140 50
	button "Jetzt spielen!",11, 25 215 100 25, OK 
	button "Jetzt spielen!",12, 175 215 100 25, OK 
	button "Jetzt spielen!",13, 325 215 100 25, OK 
	button "Jetzt spielen!",14, 475 215 100 25, OK 
	button "Jetzt spielen!",15, 625 215 100 25, OK 
}

alias startgames {
	/dialog -m games games
}

on *:DIALOG:games:sclick:1: {
	/join #dutch-pimpampet
	/dialog -x games
}

on *:DIALOG:games:sclick:11: {
	/join #dutch-pimpampet
	/dialog -x games
}

on *:DIALOG:games:sclick:2: {
	/join #dutch-weerwolven
	/dialog -x games
}

on *:DIALOG:games:sclick:12: {
	/join #dutch-weerwolven
	/dialog -x games
}

on *:DIALOG:games:sclick:3: {
	/join #dutch-jungle
	/dialog -x games
}

on *:DIALOG:games:sclick:13: {
	/join #dutch-jungle
	/dialog -x games
}

on *:DIALOG:games:sclick:4: {
	/join #dutch-uno
	/dialog -x games
}

on *:DIALOG:games:sclick:14: {
	/join #dutch-uno
	/dialog -x games
}




;***** ABZEICHEN UND PROTOKOLLIERUNGSPROFILE JOTI-IRC ******

menu nicklist,channel,query {
	Abzeichen
	.Schöner Chat: { 
	  if ($1 != $me) {
	    /inc %badgequota
	    if (%badgequota == 1) /timerQUOTA 1 3600 /set %badgequota 0
	    if (%badgequota < 6) /ctcp $1 badge.leukstechat 
	    if (%badgequota < 6) /ctcp Douwe badge.leukstechat $1 
	    if (%badgequota >= 6) /echo Du darfst nur 5 Abzeichen pro Stunde vergeben! 
	  }
	}
	.Neuer Freund: { 
	  if ($1 != $me) {
	    /inc %badgequota
	    if (%badgequota == 1) /timerQUOTA 1 3600 /set %badgequota 0
	    if (%badgequota < 6) /ctcp $1 badge.nieuwevriend 
	    if (%badgequota < 6) /ctcp Douwe badge.nieuwevriend $1 
	    if (%badgequota >= 6) /echo Du darfst nur 5 Abzeichen pro Stunde vergeben!
	  }
	}
	.Beste Gruppe: { 
	  if ($1 != $me) {
	    /inc %badgequota
	    if (%badgequota == 1) /timerQUOTA 1 3600 /set %badgequota 0
	    if (%badgequota < 6) /ctcp $1 badge.bestegroep 
	    if (%badgequota < 6) /ctcp Douwe badge.bestegroep $1 
	    if (%badgequota >= 6) /echo Du darfst nur 5 Abzeichen pro Stunde vergeben!
	  }
	}
	Profil
	.Protokoll anfordern: {
	  if (%profilelock == unlock) {
	    /ctcp $1 GET.PROFILE
	    /set %profilelock lock
	    /timerPROFILELOCK 1 90 profile.unlock
	    /inc %logcounter
	  }
	}
}

alias profile.unlock {
	/set %profilelock unlock
}

dialog leukstechat {
	title "Abzeichen für unterhaltsamen Chat"
	size -1 -1 182 255
	icon 1, 1 1 180 180, $adiircdir\pix\leukstechat.jpg
	text "Herzlichen Glückwunsch! Du hast ein Abzeichen für den unterhaltsamsten Chat erhalten von:",2, 12 183 160 56
	text "",3, 41 211 180 28 
	button "Schließen",4, 41 225 100 25, OK 
}

ctcp *:badge.leukstechat:*: {
	/set %afzender $nick
	/dialog -m leukstechat leukstechat
	/did -a leukstechat 3 %afzender
	/ctcp Douwe recieved.badge.leukstechat %afzender
	/playsound badgerecieved.wav
}

on *:DIALOG:leukstechat:sclick:4: {
	/inc %aantal.badges.leukstechat  
	/dialog -x leukstechat 
	/unset %afzender
}

dialog nieuwevriend {
	title "Abzeichen für neuen Freund"
	size -1 -1 182 255
	icon 1, 1 1 180 180, $adiircdir\pix\nieuwevriend.jpg
	text "Herzlichen Glückwunsch! Du hast ein Abzeichen für einen neuen Freund erhalten von:",2, 8 183 170 56
	text "",3, 41 211 180 28 
	button "Schließen",4, 41 225 100 25, OK 
}

ctcp *:badge.nieuwevriend:*: {
	/set %afzender $nick
	/dialog -m nieuwevriend nieuwevriend
	/did -a nieuwevriend 3 %afzender
	/ctcp Douwe recieved.badge.leukstechat %afzender
	/playsound badgerecieved.wav
}

on *:DIALOG:nieuwevriend:sclick:4: {
	/inc %aantal.badges.nieuwevriend  
	/dialog -x nieuwevriend 
	/unset %afzender
}

dialog bestegroep {
	title "Abzeichen für beste Gruppe"
	size -1 -1 182 255
	icon 1, 1 1 180 180, $adiircdir\pix\bestegroep.jpg
	text "Herzlichen Glückwunsch! Du hast ein Abzeichen für die beste Gruppe erhalten von:",2, 8 183 170 56
	text "",3, 41 211 180 28 
	button "Schließen",4, 41 225 100 25, OK 
}

ctcp *:badge.bestegroep:*: {
	/set %afzender $nick
	/dialog -m bestegroep bestegroep
	/did -a bestegroep 3 %afzender
	/ctcp Douwe recieved.badge.leukstechat %afzender
	/playsound badgerecieved.wav
}

on *:DIALOG:bestegroep:sclick:4: {
	/inc %aantal.badges.bestegroep  
	/dialog -x bestegroep 
	/unset %afzender
}

dialog badgeoverzicht {
	title "Abzeichen-Übersicht"
	size -1 -1 302 150
	icon 1, 1 1 100 100, $adiircdir\pix\leukstechat.jpg
	icon 2, 101 1 100 100, $adiircdir\pix\nieuwevriend.jpg
	icon 3, 201 1 100 100, $adiircdir\pix\bestegroep.jpg
	text "Anzahl:",4, 1 101 100 25
	text "Anzahl:",5, 101 101 100 25
	text "Anzahl:",6, 202 101 100 25
	text "",7, 51 101 50 25
	text "",8, 151 101 50 25
	text "",9, 251 101 50 25
	button "Schließen",10, 101 126 100 25, OK 
}

alias badgeoverzicht {
	/dialog -m badgeoverzicht badgeoverzicht
	/did -a badgeoverzicht 7 %aantal.badges.leukstechat 
	/did -a badgeoverzicht 8 %aantal.badges.nieuwevriend 
	/did -a badgeoverzicht 9 %aantal.badges.bestegroep 
}

on *:DIALOG:badgeoverzicht:sclick:10: {
	/dialog -x badgeoverzicht
}



;***** OPERATORSKRIPT JOTI-IRC ******

;F1 - Allgemeine Warnungen
alias f1 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , $$input(Allgemeine Warnung.,e,warning) } 
alias sf1 { if ($me isop $chan) && ($active ischan)  /kick $chan $$snick(#,1)  $$?="Was ist der Grund für deinen Kick?" } 
alias cf1 { if ($me isop $chan) && ($active ischan)  /var %kickmsg = $?="Was ist der Grund für deinen Kickban?" | ban -u60 $$address($$snick(#,1),0) | kick $chan $$snick(#,1) %kickmsg } 

;F2 - Sprache/Verwendung von Ausdrücken
alias f2 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , bitte achte auf deine Sprache, ich möchte niemanden aus diesem Kanal kicken. } 
alias sf2 { if ($me isop $chan) && ($active ischan)  /kick $chan $$snick(#,1) Deine Sprache ist unerwünscht. } 
alias cf2 { if ($me isop $chan) && ($active ischan)  /ban -u60 $$address($$snick(#,1),0)) 1 | kick $chan $$snick(#,1) Deine Sprache ist unerwünscht. } 

;F3 - Unangebrachter Nickname
alias f3 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , dein Nickname ist unerwünscht und sollte geändert werden. Du kannst ihn mit dem Befehl /nick ändern. } 
alias sf3 { if ($me isop $chan) && ($active ischan)  /kick $chan $$snick(#,1) Dein Nickname ist hier nicht erlaubt. Du kannst ihn mit /nick ändern. } 
alias cf3 { if ($me isop $chan) && ($active ischan)  /ban -u60 $$address($$snick(#,1),7) | kick $chan $$snick(#,1) Dein Nickname ist hier nicht erlaubt. Du kannst ihn mit /nick ändern. } 

;F4 - Flooding
alias f4 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , bitte unterlasse Flooding, andere Chatteilnehmer fühlen sich gestört. } 
alias sf4 { if ($me isop $chan) && ($active ischan)  /kick $chan $$snick(#,1) Flooding ist störend und unnötig. Leider scheint es dir nicht möglich, deinen Enthusiasmus zu zügeln. } 
alias cf4 { if ($me isop $chan) && ($active ischan)  /ban -u60 $$address($$snick(#,1),0)) | kick $chan $$snick(#,1) Flooding ist störend und unnötig. Leider scheint es dir nicht möglich, deinen Enthusiasmus zu zügeln. } 

;F5 - Capslock
alias f5 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , das Verwenden von Großbuchstaben wird als Schreien im IRC gesehen und gilt als unhöflich. Bitte höre auf, alles in Großbuchstaben zu senden! } 
alias sf5 { if ($me isop $chan) && ($active ischan)  /kick $chan $$snick(#,1) Du schreibst alles in Großbuchstaben, was unerwünscht ist. } 
alias cf5 { if ($me isop $chan) && ($active ischan)  /ban -u60 $$address($$snick(#,1),0)) | kick $chan $$snick(#,1) Du schreibst alles in Großbuchstaben, was unerwünscht ist. } 

;F6 - Private Informationen
alias f6 { if ($me isop $chan) && ($active ischan)  /say Es ist besser, keine privaten Informationen preiszugeben. Dies könnte später unangenehme Konsequenzen haben. Wenn du es dennoch tun willst, öffne einen privaten Chat. } 
alias sf6 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , es ist besser, keine privaten Informationen preiszugeben. Dies könnte später unangenehme Konsequenzen haben. } 

;F7 - Frei wählbar
alias sf7 { if ($me isop $chan) && ($active ischan)  /say Hi $chan, mein Name ist $me und ich bin ein Operator für ScoutLink. } 

;F8 - Kill und Gline
alias sF8 { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $$snick(#,1) $$?="Was ist der Grund? Leer lassen, um den Kill-Befehl abzubrechen." }
alias cF8 { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $$snick(#,1)  2m : $+ $$?="Was ist der Grund? Leer lassen, um die Gline abzubrechen. Für längere G-Lines siehe %operator.chan (kurzes Bann: Email an joti@scoutlink.nl für weitere Informationen)." } 

;F9 - OP an/aus
alias f9 { 
	if ($me isop $active) { 
		/mode $active -o $me 
		/msg %operator.chan 4Ich bin in $active kein Operator mehr
	} else { 
		/chanserv op $active $me
		/playsound channeloperator.wav
		/msg %operator.chan 4Ich bin jetzt Operator in $active!
	}
}

;F10 - Farbe, Invite-Only, Moderiert
alias f10 { if (($me isop $chan) && ($active ischan)) { 
	if ($me isop $active) {
		mode # $iif(c isincs $chan(#).mode,-c,+c) } 
		if (c isincs $chan(#).mode) {
			/msg %operator.chan 4 $chan darf KEINE Farbcodes verwenden
		} else {
			/msg %operator.chan 4 $chan darf jetzt Farbcodes verwenden
		}
	}
}

alias Sf10 { if (($me isop $chan) && ($active ischan)) {
	if ($me isop $active) {
		mode # $iif(i isincs $chan(#).mode,-i,+i) } 
		if (i isincs $chan(#).mode) {
			/msg %operator.chan 4 $chan ist offen
		} else {
			/msg %operator.chan 4 $chan ist jetzt nur auf Einladung zugänglich
		}
	}	
}

alias cf10 { if (($me isop $chan) && ($active ischan)) { 
	if ($me isop $active) {
		mode # $iif(m isincs $chan(#).mode,-m,+m) } 
		if (m isincs $chan(#).mode) {
			/msg %operator.chan 4 $chan ist nicht mehr moderiert
		} else {
			/msg %operator.chan 4 $chan ist jetzt moderiert
		}
	}	
}

;F11 - Werbung/Reklame
alias f11 { { if ($me isop $chan) && ($active ischan)  /say 12 Scoutlink ist das ganze Jahr geöffnet! Besuche uns gerne nach JOTI! } }

;F12 - Punkte und Strafen für Spiele
alias f12 { if ($me isop $chan) /msg Pimmetje !punterbij $snick(#,1) }     
alias sf12 { if ($me isop $chan) /msg Pimmetje !puntvoorantwoord $snick(#,1) $cb }
alias cf12 { if ($me isop $chan) /msg Pimmetje !strafpunt $snick(#,1) }     

;Massen-Voice
alias massvoice {
	mode $$chan +m
	var %x = $nick($1,0,r) | while (%x) { 
  	var %r = %r $nick($1,%x,r)
  	if ($numtok(%r,32) = $modespl) { mode $1 + $+ $str(v,$modespl) %r | unset %r } | dec %x
	}
	if (%r) { mode $1 + $+ $str(v,$numtok(%r,32)) %r }
}

;Massen-Devoice
alias massdevoice {
	mode $$chan -m
	var %x = $nick($1,0,v) | while (%x) { 
  	var %r = %r $nick($1,%x,v)
  	if ($numtok(%r,32) = $modespl) { mode $1 - $+ $str(v,$modespl) %r | unset %r } 
  	dec %x
	}
	if (%r) { mode $1 - $+ $str(v,$numtok(%r,32)) %r }
}

menu nicklist,channel {
	.Check user
	..WHOIS:/whois op $$snick(#,1)
	..PING:/ctcp $$snick(#,1) ping
	..VERSION:/ctcp $$snick(#,1) version
	..MAIL:/ctcp $$snick(#,1) mail
	..NUMBER:/ctcp $$snick(#,1) number
	..Op: { 
		/chanserv op $active $snick(#,1)
		/msg %operator.chan $snick(#,1) ist jetzt Operator in $chan(#) durch $me
	}
	..Deop: { 
	 	/mode $active -o $snick(#,1)
	 	/msg %operator.chan $snick(#,1) ist NICHT mehr Operator in $chan(#) durch $me
	}
} 











menu nicklist,channel {
	$iif($me isop #,.Kanaleinstellungen)
	..Keine Farben: { if ($me isop $chan)  /mode $$chan +c }
	..Mit Farben: { if ($me isop $chan)  /mode $$chan -c }
	..Einladungen An: { if ($me isop $chan)  /mode $$chan +i }
	..Einladungen Aus: { if ($me isop $chan)  /mode $$chan -i }
	..Moderiert An: { if ($me isop $chan)  { 
	    /mode $$chan +m 
	    /msg %operator.chan 4Der Kanal $$chan ist jetzt MODERIERT  
	  } 
	}
	..Moderiert Aus: { if ($me isop $chan)  { 
	    /mode $$chan -m 
	    /msg %operator.chan 4Der Kanal $$chan ist jetzt NICHT MODERIERT 
	  } 
	}
	..Massvoice:  { if ($me isop $chan)  { 
	    /massvoice $$chan 
	    /msg %operator.chan 4Der Kanal $$chan hat jetzt MASSVOICE und ist MODERIERT 
	  }
	}
	..Massdevoice:  { if ($me isop $chan) {  
	    /massdevoice $$chan  
	    /msg %operator.chan 4Der Kanal $$chan ist jetzt NICHT MEHR MASSVOICE
		}
	}
	..Voice: { if ($me isop $chan)  /chanserv voice $chan $$snick(#,1) }
	..Devoice: { if ($me isop $chan)  /chanserv devoice $chan $$snick(#,1) }
	-
	$iif($me isop #,.Allgemeine Warnungen)
	..Sprache: { if ($me isop $chan)  /say Bitte achte auf deine Sprache, ich würde ungern jemanden aus diesem Kanal kicken. }
	..Flooding: { if ($me isop $chan)  /say Bitte unterlasse Flooding oder zu viel Unsinn in kurzer Zeit. Wenn du Aufmerksamkeit willst, sei originell, nicht störend! }
	..Persönliche Informationen: { if ($me isop $chan)  /say Bitte teile hier keine persönlichen Informationen. Das könnte später unangenehme Folgen haben. Wenn du private Infos teilen möchtest, tue dies in einem privaten Chat. }
	..CapsLock: { if ($me isop $chan)  /say Nur Großbuchstaben zu verwenden gilt als Schreien und ist sehr unfreundlich. Wenn du damit weitermachst, sehe ich mich gezwungen, dich aus dem Kanal zu entfernen. }
	-
	$iif($me isop #,.Languages)
	..English: { if ($me isop $chan)  /say If you wish to chat in English, please /hop #English } 
	..Spanish: { if ($me isop $chan)  /say Por favor, si quieren hablar en espanol, se pone /hop #espanol }
	..French: { if ($me isop $chan)  /say Pour communiquer en français, voulez vous sil vous plaît taper /hop #francais pour utiliser le canal #francais . Merci! }
	..German: { if ($me isop $chan)  /say Wenn Sie möchte deutsch sprechen , bitte /hop #deutsch }
	..Portugese: { if ($me isop $chan)  /say Se você quer falar português, por favor digite /hop #portuguese }
	..Italian: { if ($me isop $chan)  /say por favore se vuoi parlare italiano, por favore /hop #italian }
	..Norish: { if ($me isop $chan)  /say Hvis du vil skrive pa norsk, vennligst skriv /hop #scandinavia }
	..Swedish: { if ($me isop $chan)  /say  Om du vill prata svenska, lämna $chan och anslut till #scandinavia }
	..Chinese: { if ($me isop $chan)  /say  Ruguo ni yao shuo zhongwen, qing ni likai $chan $+ , lanhou zai jinru #chinese }
	..Papiamento: { if ($me isop $chan)  /say Den e kanal aki no tin mag di papia Papiamentu, type /hop #papiamento }
	..Indonesian: { if ($me isop $chan)  /say Kalau mau dengan bahasa Indonesia, tipe /hop #indonesia }
	-
	$iif($me isop #,.Nickname Warnungen)  
	..Warnung (Grund): { if ($me isop $chan)  /say $$1 $+ , $$?="Grund für die Warnung" }
	..Sprache:  { if ($me isop $chan)  /say $$1 $+ , achte bitte auf deine Sprache, damit es für alle spaßig bleibt! }
	..Flooding:  { if ($me isop $chan)  /say $$1 $+ , bitte unterlasse Flooding. Du hast schon meine Aufmerksamkeit, andere werden dadurch gestört. }
	..Persönliche Informationen:  { if ($me isop $chan)  /say $$1 $+ , teile keine persönlichen Informationen, das könnte später unangenehme Folgen haben. }
	..CapsLock:  { if ($me isop $chan)  /say $$1 $+ , nur Großbuchstaben zu verwenden gilt als Schreien und ist störend. Bitte hör auf, nur Großbuchstaben zu nutzen! }
	..Nickname:  { if ($me isop $chan)  /say $$1 $+ , dein Nickname ist nicht angemessen, bitte ändere ihn. Das kannst du mit dem Befehl /nick tun. }
	-
	$iif($me isop #,.Kick)
	..Kick (Grund): { if ($me isop $chan)  /kick $chan $$snick(#,1)  $$?="Bitte gib die Kick-Nachricht ein" }
	..Kick Sprache: { if ($me isop $chan)  /kick $chan $$snick(#,1)  Deine Sprache ist nicht akzeptabel. } 
	..Kick Caps: { if ($network == Scoutlink ) /kick $chan $$snick(#,1)  Du persistierst leider beim Verwenden von Großbuchstaben. Das wird nicht akzeptiert. } 
	..Kick Flood: { if ($network == Scoutlink ) /kick $chan $$snick(#,1)  Flooding und Unsinn stört. Leider scheinst du deine Begeisterung nicht zu kontrollieren. } 
	..Kick Nickname: { if ($network == Scoutlink ) /kick $chan $$snick(#,1)  Dieser Nickname ist nicht akzeptabel. Ändere ihn mit dem /nick-Befehl. }
	-
	$iif($me isop #,.Ban + Kick 60 Sekunden)
	..Ban (Grund): { if ($me isop $chan)  ban -u60 $$address($$snick(#,1),0)) 1 | /kick $chan $$snick(#,1) $iif($$?="Bitte gib den Grund für Kick+Ban ein", $!) }
	..Ban Sprache: { if ($me isop $chan)  ban -u60 $$address($$snick(#,1),0)) 1 | /kick $chan $$snick(#,1)  Deine Sprache ist nicht akzeptabel. }  
	..Ban Caps: { if ($me isop $chan)  ban -u60 $$address($$snick(#,1),0)) | /kick $chan $$snick(#,1)  Du persistierst beim Verwenden von Großbuchstaben. Das wird nicht akzeptiert. } 
	..Ban Flood: { if ($me isop $chan)  ban -u60 $$address($$snick(#,1),0)) | /kick $chan $$snick(#,1)  Flooding und Unsinn stört. Leider kannst du deine Begeisterung nicht zügeln. } 
	..Ban Nickname: { if ($me isop $chan)  ban -u60 $$address($$snick(#,1),7)) | /kick $chan $$snick(#,1)  Dieser Nickname ist nicht akzeptabel. Ändere ihn mit dem /nick-Befehl. }
	-
	$iif($me isop #,.ChanServ Kick)
	..Kick (Grund): { /chanserv kick $chan $$snick(#,1) $$?="Bitte Grund für Kick eingeben" }
	..Kick Sprache: { /chanserv kick $chan $$snick(#,1)  Deine Sprache ist nicht akzeptabel. } 
	..Kick Caps: { /chanserv kick $chan $$snick(#,1)  Du persistierst beim Verwenden von Großbuchstaben. Das wird nicht akzeptiert. } 
	..Kick Flood: { /chanserv kick $chan $$snick(#,1)  Flooding ist nicht erlaubt, deine Begeisterung ist leider unkontrollierbar. } 
	..Kick Nickname: { /chanserv kick $chan $$snick(#,1)  Dein Nickname ist nicht akzeptabel. Ändere ihn mit /nick. }
	-
	$iif($me isop #,.Kill)
	..(Grund): { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $$snick(#,1)  $$?="Gib den Grund ein, leer lassen um abzubrechen" }
	..Sprache: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $$snick(#,1) Persistente unerwünschte Sprache. }  
	..Caps: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $$snick(#,1) Persistente Nutzung von Großbuchstaben. }
	..Flood: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $$snick(#,1) Persistentes Flooding. }
	..Nickname: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $$snick(#,1) Unerwünschter Nickname. }
	-
	$iif($me isop #,.G-lines)
	..(Grund)     : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $$snick(#,1)  2m : $+ $$?="Gib deine G-line ein. Leer lassen zum Abbrechen. Für längere G-lines bitte %operator.chan kontaktieren." (Kurzban, E-Mail: joti@scoutlink.nl) } 
	..Sprache	 	: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $$snick(#,1)  2m : $+ Persistente unerwünschte Sprache (Kurzban für $$snick(#,1) $+ : E-Mail an joti@scoutlink.nl für weitere Infos) }
	..Caps        : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $$snick(#,1)  2m : $+ Persistente Nutzung von Großbuchstaben. (Kurzban für $$snick(#,1) $+ : E-Mail an joti@scoutlink.nl für weitere Infos) }
	..Flood       : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $$snick(#,1)  2m : $+ Persistentes Flooding. (Kurzban für $$snick(#,1) $+ : E-Mail an joti@scoutlink.nl für weitere Infos) }
	..Nickname    : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $$snick(#,1)  2m : $+ Unerwünschter Nickname. (Kurzban für $$snick(#,1) $+ : E-Mail an joti@scoutlink.nl für weitere Infos) }
	-
	$iif($me isop #,.Nick Change)
	.Nickwechsel   : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan Nickwechsel: /sanick $$snick(#,1) $$?="Neuer Nickname? Leer lassen zum Abbrechen" } 
	-
	$iif($me isop #,.Pimmetje)
	..beitreten : { if ($me isop $chan) /msg Pimmetje !join $active ppp Pimmetje | /timerPimmetje 1 5 /chanserv on $active Pimmetje  }   
	..verlassen : { if ($me isop $chan) /msg Pimmetje !part $active }
	..Starte PimPamPet : { if ($me isop $chan) /msg Pimmetje !startppp }            
	..Stoppe PimPamPet : { if ($me isop $chan) /msg Pimmetje !stopppp }               
	..Einen Punkt vergeben : { if ($me isop $chan) /msg Pimmetje !punterbij $$snick(#,1) }     
	..Einen Punkt (Antwort) : { if ($me isop $chan) /msg Pimmetje !puntvoorantwoord $$snick(#,1) $cb }
	..Strafpunkt : { if ($me isop $chan) /msg Pimmetje !strafpunt $$snick(#,1) }          
	..HiScore anzeigen : { if ($me isop $chan) /msg Pimmetje !hiscore }              
	..Admin hinzufügen : { if ($me isop $chan) /msg Pimmetje !addadmin $?="Nickname" }         
	..Admin entfernen : { if ($me isop $chan) /msg Pimmetje !deladmin $?="Nickname" }      
	..Alle Admins anzeigen : { if ($me isop $chan) /msg Pimmetje !showadmins }         
	..Status anzeigen : { if ($me isop $chan) /msg Pimmetje !toonstatus }         
}

menu nicklist,channel,query,status {
	.-
	$iif($me isop #,.ChanServ Befehle)
	..Schlüssel abrufen :  { if ($me isop $chan)  /chanserv getkey $$?="Für welchen Kanal soll der Schlüssel abgerufen werden?" }
	..Unban :  { if ($me isop $chan)  /chanserv unban $$?="Für welchen Kanal soll der Unban durchgeführt werden?" }
	..-
	..Op: { 
		/chanserv op $active $me 
		/msg %operator.chan 4Ich bin jetzt Operator in $active  
	}
	..Deop: { 
	 	/mode $active -o $me 
	 	/msg %operator.chan 4Ich bin nicht länger Operator in $active
	}
	..-
	..Voice :if ($me isop $chan)  { /chanserv voice $chan $snick(#,1) }
	..Devoice :if ($me isop $chan)  { /chanserv devoice $chan $snick(#,1) }
	..-
	..Info :if ($me isop $chan)  { /chanserv info $chan }
	..Einladen :if ($me isop $chan)  { /chanserv invite $chan $$?="Wen möchtest du einladen?" } 
}

menu channel {
	Kanaloptionen : /channel
}

;****** 60 Sekunden Ban *******
alias timedban {
	/tban $$1 60s $$2 
	/kick $$1 $$2 60 SEKUNDEN BAN: $$3-
}

;***** WARNUNGS-POPUPS JOTI-IRC ******

dialog glined {
	title "WARNUNG: G:LINED"
	size -1 -1 400 240
	icon 1, 1 1 400 188, $adiircdir\pix\glined1.jpg
	icon 2, 1 1 400 188, $adiircdir\pix\glined2.jpg
	button "Schließen",3, 150 210 100 25, OK 
}

alias blinkgreen.glined {
	/timerGREEN -m 1 500 /blinkred.glined
	/did -h glined 2
	/did -v glined 1
}

alias blinkred.glined {
	/timerRED -m 1 500 /blinkgreen.glined
	/did -h glined 1
	/did -v glined 2
}

on *:DIALOG:glined:sclick:3:{
	/dialog -x glined
	/timerGREEN off
	/timerRED off
}

dialog killed {
	title "WARNUNG: KILLED"
	size -1 -1 400 240
	icon 1, 1 1 400 188, $adiircdir\pix\killed1.jpg
	icon 2, 1 1 400 188, $adiircdir\pix\killed2.jpg
	button "Schließen",3, 150 210 100 25, OK 
}

alias blinkgreen.killed {
	/timerGREEN -m 1 500 /blinkred.killed
	/did -h killed 2
	/did -v killed 1
}

alias blinkred.killed {
	/timerRED -m 1 500 /blinkgreen.killed
	/did -h killed 1
	/did -v killed 2
}

on *:DIALOG:killed:sclick:3:{
	/dialog -x killed
	/timerGREEN off
	/timerRED off
}

on *:ERROR:*banned*: {
	/dialog -m glined glined
	/blinkgreen.glined
	/playsound glined.wav
}

on *:ERROR:*kill*:  {
	/dialog -m killed killed
	/blinkgreen.killed
	/playsound killed.wav
}
;***** BADWORDSCRIPT JOTI-IRC ******

alias loadbwlist {
  if ($hget(badwords)) { 
  	/hfree badwords
  }
  var %tmp.bwl = $adiircdir $+ Scripts\bwl.txt
  if (!$exists(%tmp.bwl) ) {
  	/checkupdates
  } else {
  	/hload -m badwords %tmp.bwl
  }
}

alias savebwlist {
  if ($hget(badwords)) {
  	var %tmp.bwl = $adiircdir $+ Scripts\bwl.txt
    hsave badwords %tmp.bwl
    hfree badwords
  }
}

on *:UNLOAD:{ 
	/savebwlist
}

on *:EXIT:{ 
	/savebwlist
}

on *:INPUT:*:{ 
	if (!$hget(badwords)) { 
	  	/loadbwlist
	}
	if ($left($1,1) != /) && (!$ctrlenter) {
	  var %x = 1
	  var %y = $numtok($1-,32)
	  var %temp = $1-
	  while (%y) {
	    var %a = $gettok($1-,%y,32)
	    if ($hfind(badwords,%a)) {
	      var %b $numtok($hget(badwords,%a),32) - 1
	      var %temp = $puttok(%temp,$hget(badwords,%a),%y,32)
	      inc %b
	    }
	    dec %y
	  }
	  msg $active %temp
	  halt
	}
}

;***** VERSION CHECK AND DOWNLOAD FILES JOTI-IRC ******
dialog getupdates {
	title "Updates gefunden"
	option dbu
	size -1 -1 200 50
	text "Es gibt Updates für Jotiirc. Möchten Sie diese herunterladen und installieren?",2,5 5 200 10
	button "Ja", 9, 50 35 34 10, ok
	button "Nein", 10, 125 35 34 10, cancel
}

dialog goreload {
	title "Updates abgeschlossen"
	option dbu
	size -1 -1 200 50
	text "Alle Updates wurden abgeschlossen. Möchten Sie Jotiirc neu starten, um die Änderungen zu übernehmen?",2,5 5 200 10
	button "Ja", 9, 50 35 34 10, "ok"
	button "Nein", 10, 125 35 34 10, "cancel"
}

on *:dialog:getupdates:sclick:9:{
	/runupdates
}

on *:dialog:getupdates:sclick:10: {
	if (%tmp.startup == 1) {
		/runstartup
	}
}

on *:dialog:goreload:sclick:9: {
	if (%tmp.ircupdate == 1) {
	 	if ($exists($adiircdir $+ upp.exe)) {
	 		/run $adiircdir $+ upp.exe
	 		/exit
	 	} else {
	 		/exit -nr
		}
	} else {
		/exit -nr
	}
}

on *:dialog:goreload:sclick:10: {
	if (%tmp.startup == 1) {
		/unset %tmp.startup
		/runstartup
	}
}

alias listversions {
	/set %tmp.oldversions $adiircdir $+ Scripts\versions.txt
	if ($hget(oldversions)) { /hfree oldversions }
	if ($exists(%tmp.oldversions)) {
		/hload -m oldversions %tmp.oldversions
		var %tmp.filecount = $hget(oldversions,0).item
		var %tmp.filenum = 1
		/echo -sg #======== Lokale Dateiversionen
		
		while (%tmp.filenum <= %tmp.filecount) {
			var %tmp.filename = $hget(oldversions,%tmp.filenum).item
			var %tmp.version = $hget(oldversions,%tmp.filenum).data
			/echo -sg $+(%tmp.filename,: ,%tmp.version)
			inc %tmp.filenum
		}		
		/echo ADIIRC Version: $version
		/echo .NET Version: $dotnet
		/echo Erkanntes Betriebssystem: $os
		/echo Version: $osversion
		if ($check_wine > 0) {
			/echo Wine erkannt!
		}
	} else {
		/echo -sg Versionsdatei nicht gefunden, bisher wurden keine Updates durchgeführt
	}
	if ($hget(oldversions)) { /hfree oldversions }
}	

alias checkfileversions {
	/set %tmp.newversions $adiircdir $+ Scripts\newversions.txt
	/set %tmp.oldversions $adiircdir $+ Scripts\versions.txt
	/set %tmp.force $1
	
	if (%tmp.force != $null) {
		/.remove %tmp.oldversions
	}
	
	if (%setup.url.filebase != $null) {
		
 		if ((%tmp.force) || (%setup.joti.mode) == single || ( %setup.joti.mode == group && %mynickname == %setup.joti.localadmin) || (%tmp.startup == 1)) {
 			var %tmp.url.fileinfo %setup.url.filebase $+ /fileversions.txt
 			/echo -sg #==================== Überprüfe Dateiversionen
 			/echo -sg Versionsdatei abgerufen von: %tmp.url.fileinfo
 			
 			/set %tmp.updatecount = 0
 			/download -o fileversions %tmp.url.fileinfo %tmp.newversions
   	}
  } else {
  	/echo -g Datei-Update nicht möglich, kein Host gefunden!
		if (%tmp.startup == 1) {
			/unset %tmp.startup
			/runstartup
		}			  	
  }
}

alias forceupdates {
	/checkfileversions 1
}

on *:DOWNLOAD:fileversions: {
	
	if (!$downloaderr) {
		if ($hget(newversions)) { /hfree newversions }
		if ($hget(oldversions)) { /hfree oldversions }
		if ($hget(downloadlist)) { /hfree downloadlist }
		if ($hget(saveversions)) { /hfree saveversions }
		if ($hget(errordownload)) { /hfree errordownload }
				
		if ($exists(%tmp.oldversions)) {
			/hload -m oldversions %tmp.oldversions
		} else {
			/hmake oldversions
		}
		/hload -m newversions %tmp.newversions
		/hmake downloadlist
		/hmake saveversions
		/hmake errordownload
		
		var %tmp.filecount = $hget(newversions,0).item
		var %tmp.filenum = 1
		
		while (%tmp.filenum <= %tmp.filecount) {
			var %tmp.filename = $hget(newversions,%tmp.filenum).item
			var %tmp.newver = $hget(newversions,%tmp.filenum).data
			var %tmp.oldver = $hget(oldversions,%tmp.filename)
			
			if (%tmp.filename == adiirc.exe) {
				%tmp.oldver = $version
			}
			
			if (%tmp.oldver != %tmp.newver) {
				var %tmp.tempname = %tmp.filename
				/hadd downloadlist %tmp.tempname %tmp.newver
				/hadd errordownload %tmp.tempname 0
				if (%tmp.oldver == $null) {
					/echo -sg %tmp.filename : Version unbekannt
				} else {
					/echo -sg %tmp.filename : alte Version %tmp.oldver neue Version %tmp.newver
				}
			} else {
				/hadd saveversions %tmp.filename %tmp.newver
			}
			inc %tmp.filenum
		}
		
		if ($hget(downloadlist,0).item > 0) {
			/dialog -m getupdates getupdates
		} else {
			/echo -sg Alles ist auf dem neuesten Stand
			/finishdownload
			if (%tmp.startup == 1) {
				/unset %tmp.startup
				/runstartup
			}			
		}
			
	} else {
		/echo -sg 4 Es gab ein Problem beim Überprüfen der Versionen.
		if (%tmp.startup == 1) {
			/unset %tmp.startup
			/runstartup
		}					
	}
}
alias runupdates {
	var %tmp.filenum = 1
	while (%tmp.filenum <= $hget(downloadlist,0).item) {
		var %tmp.filename = $hget(downloadlist,%tmp.filenum).item
		var %tmp.newversion = $hget(downloadlist,%tmp.filenum).data
		
		/echo überprüfe %tmp.filename
		
		var %tmp.fetchfile = %setup.url.filebase $+ / $+ %tmp.filename
		var %tmp.tempfile = $adiircdir $+ $hget(downloadlist,%tmp.filenum).item $+ .tmp
		
		if (%tmp.filename == adiirc.exe) {
			/echo Aktualisiere adiirc auf Version %tmp.newversion
			%tmp.adiircbits = $osbits
			
			if ($check_wine > 0) {
				%tmp.adiircbits = 20
			}
			%tmp.fetchfile = %setup.url.filebase $+ /adiirc/ $+ %tmp.newversion $+ / $+ AdiIRC_ $+ %tmp.adiircbits $+ .exe
			%tmp.fetchfile = $replace(%tmp.fetchfile,\,/)
			var %tmp.tempfile = $adiircdir $+ adiirc.tmp
			/echo -sg lade herunter %tmp.fetchfile
			
		}
			
		%tmp.fetchfile = $replace(%tmp.fetchfile,\,/)
		/echo -sg lade herunter %tmp.fetchfile
		/download -o $hget(downloadlist,%tmp.filenum).item %tmp.fetchfile %tmp.tempfile
		inc %tmp.filenum

	}
}

on *:DOWNLOAD:*: {
	/echo heruntergeladen $download
	;/hdel downloadlist $download
	if (!$downloaderr) {
		if ($download != 'fileversions') {
			var %tmp.tempfile = $download($download).file
			var %tmp.realfile $adiircdir $+ $download
			if ($download == adiirc.exe) {
				%tmp.realfile = upp.exe
				/set %tmp.ircupdate 1
				/echo aktualisiere irc-client
			}
			/echo -sg installiere $download
			if ($exists(%tmp.realfile)) {
				/.remove %tmp.realfile
			}
			/.rename %tmp.tempfile %tmp.realfile
			/hadd errordownload $download 2
			/hadd saveversions $download $hget(newversions,$download)
		}
	} else {
		/echo -sg 4 $download wurde auf dem Server nicht gefunden!
		/hadd errordownload $download 1
		/hadd saveversions $download $hget(oldversions,$download)
	}
	
	var %x = 1
	var %finished = 0
	var %errorsfound = 0
	var %downloadleft = 0
	
	if ($hget(downloadlist,0).item > 0) {
		while (%x <= $hget(errordownload,0).item) {
			if ($hget(errordownload,%x).data == 1) {
				%errorsfound = 1
			}
			if ($hget(errordownload,%x).data == 0) {
				%downloadleft = 1;
			}
			inc %x
		}
	}
	
	if (%downloadleft == 0) {
		if (%errorsfound == 1) {
			/echo -sg 4 Alles wurde geupdatet, aber es wurden Probleme gefunden.
			/finishdownload
			/dialog -m goreload goreload
		} else {
			/echo -sg Alles wurde erfolgreich geupdatet
			/finishdownload
			/dialog -m goreload goreload
		}
	}
}

alias finishdownload {
	if ($exists(%tmp.newversions)) { /.remove %tmp.newversions }
	if ($exists(%tmp.oldversions)) { /.remove %tmp.oldversions }
	/.hsave saveversions %tmp.oldversions
	/unset %tmp.newversions
	/unset %tmp.oldversions
	if ($hget(newversions)) { /hfree newversions }
	if ($hget(oldversions)) { /hfree oldversions }
	if ($hget(saveversions)) { /hfree saveversions }
	if ($hget(downloadlist)) { /hfree downloadlist }
	if ($hget(badwords)) { hfree badwords }
}
alias check_wine {
  if (!$isid) { return }
 
  var %1 = CheckOS_1
  var %2 = CheckOS_2
  var %3 = CheckOS_3
  var %4 = CheckOS_4
 
;  .comopen %1 MSScriptControl.ScriptControl
;  if (!$com(%1)) || ($comerr) { return 1 }
 
  .comopen %2 WScript.Shell
  if (!$com(%2)) || ($comerr) { return 2 }
 
  .comopen %3 MSXML2.SERVERXMLHTTP.6.0
  if (!$com(%3)) || ($comerr) { return 3 }
 
  .comopen %4 Adodb.Stream
  if (!$com(%4)) || ($comerr) { return 4 }
 
  if ($com(%1)) { .comclose $v1 }
  if ($com(%2)) { .comclose $v1 }
  if ($com(%3)) { .comclose $v1 }
  if ($com(%4)) { .comclose $v1 }
 
  return 0
 
  :error
  reseterror
 
  if ($com(%1)) { .comclose $v1 }
  if ($com(%2)) { .comclose $v1 }
  if ($com(%3)) { .comclose $v1 }
  if ($com(%4)) { .comclose $v1 }
 
  return 5
}

;***** ALLE VARIABLEN ZURÜCKSETZEN JOTI-IRC ******

alias resetdefault {
	/set %setup.joti.mode setup
	/set %setup.joti.naam $null
	/set %setup.joti.email joti@scoutlink.nl
	/set %setup.joti.weburl https://www.facebook.com/JOTAJOTINL/
	/set %setup.joti.woonplaats $null
	/set %setup.joti.deelname JOTI
	/set %setup.joti.jid $null
	/set %setup.joti.call $null
	/set %setup.joti.qth $null
	/set %setup.joti.avatar $null
	/set %setup.joti.prefix $null
	/set %setup.joti.localadmin $null
	/set %setup.joti.clientid standalone
	/set %tmp.setupid clear
	
  /set %font klein
  /set %randomtimer 0
  /set %connection getrennt
  /set %timedisplay an
  /set %sounds an
  /set %toolbaricons mehr
  /set %badgequota 0
  /set %logcounter 0 
  /set %localadminmode 0
  /set %profilelock entsperrt
  /set %arrwindow 1
  /set %aantal.badges.leukstechat 0
  /set %aantal.badges.nieuwevriend 0
  /set %aantal.badges.bestegroep 0
  /set %badgequota 0
  /set %listcounter 0
  /set %mynickname SL_%currentyear
  /set %blink 1  
  /set %chanfilter #deutsch
  /set %afzender 
}
;***** HTML LOGS GENERATOR JOTI-IRC ******

ctcp *:get.profile:*: {
	/ctcp $nick profile.nickname %mynickname
	/ctcp $nick profile.name %setup.joti.naam
	/ctcp $nick profile.mail %setup.joti.email
	/ctcp $nick profile.web %setup.joti.weburl
	/ctcp $nick profile.place %setup.joti.woonplaats
	/ctcp $nick profile.admin %setup.joti.localadmin
	/ctcp $nick profile.avatar %setup.joti.avatar
	/ctcp $nick profile.number %setup.joti.jid
	/ctcp $nick profile.deelname %setup.joti.deelname
	/ctcp $nick profile.call %setup.joti.call
	/ctcp $nick profile.qth %setup.joti.qth
	/ctcp $nick profile.station %setup.joti.clientid
	/ctcp $nick profile.done
}

ctcp *:profile.nickname:*: /set %guest.joti.nickname $$2-
ctcp *:profile.name:*: /set %guest.joti.naam $$2-
ctcp *:profile.mail:*: /set %guest.joti.email $$2
ctcp *:profile.web:*: /set %guest.joti.weburl $$2
ctcp *:profile.place:*: /set %guest.joti.woonplaats $$2-
ctcp *:profile.admin:*: /set %guest.joti.localadmin $$2
ctcp *:profile.prefix:*: /set %guest.joti.predix $$2
ctcp *:profile.avatar:*: /set %guest.joti.avatar $$2
ctcp *:profile.number:*: /set %guest.joti.jid $$2
ctcp *:profile.deelname:*: /set %guest.joti.deelname $$2
ctcp *:profile.call:*: /set %guest.joti.call $$2
ctcp *:profile.qth:*: /set %guest.joti.qth $$2
ctcp *:profile.station:*: /set %guest.joti.clientid $$2-
ctcp *:profile.done:*: /generate.html

alias generate.html {
	if (%guest.joti.avatar == $null) {
		/set %guest.joti.avatar https://jotiirc.scoutlink.nl/default/defaultavatar.jpg
	}
	/set %guest.nickscoutinggroep $nick
	/set %guest.datumscoutinggroep $date(dd-mm-yyyy)
	/set %guest.tijdscoutinggroep $time(HH:nn) Uhr
	/set %guest.url $adiircdir\records\log $+ %logcounter $+ _ $+ %guest.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html 
	/set %guest.link log $+ %logcounter $+ _ $+ %guest.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html
	/set %guest.search https://www.google.com/maps/embed/v1/place?key=AIzaSyCwdL_3SnjNV5FYNjAQe8O_gljXve4oOnk&q= $+ $replace(%guest.joti.woonplaats ,$chr(32),$+(+))
	/write %guest.url <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
	/write %guest.url <html><head><meta name="keywords" content="JOTA-JOTI LJJO Scouting Nederland ScoutLink JOTI-IRC irc client"><meta name="description" content="JOTA-JOTI %currentyear logs"><meta name="robots" content="index, follow"><meta name="author" content="JOTI-IRC %currentyear"><meta name="generator"JOTI-IRC %currentyear">
	/write %guest.url <title>
	/write %guest.url $fulldate
	/write %guest.url </title><style type="text/css">
	/write %guest.url h1 {font-family: Arial, Helvetica, sans-serif; font-size: 40pt; font-weight: bold; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h2 {font-family: Arial, Helvetica, sans-serif; font-size: 20pt; font-weight: bold; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h3 {font-family: Arial, Helvetica, sans-serif; font-size: 14pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: left;}
	/write %guest.url h4 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h5 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url hr {width: 95%; border-color: #F7AC05; height:2px;}
	/write %guest.url img.icon {height: 20px; width: 20px; margin-left: 0px; margin-right: 5px; margin-top: 1px; margin-bottom: 1px;}
	/write %guest.url img.text {width: 200px; margin-left: 5px; margin-right: 5px; margin-top: 5px; margin-bottom: 5px; border-width: 1px; border-style: solid; border-color: #F7AC05;}
	/write %guest.url a.menu:visited {background-color: #F7AC05;display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:link {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:active {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:hover {background-color: #FED272; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #1C1C1C; text-align: center; text-decoration: none; text-transform: uppercase;}
	/write %guest.url </style></head><body bgcolor="#000000"><div align="center"><table width="650" border="0" bgcolor="#1B1D58"><tr><td colspan="2" width="650" height="50" align="center" valign="middle"><a name="top"></a><h1>JOTA-JOTI %currentyear</h1></td></tr><tr><td colspan="2" width="650" height="20" align="center" valign="middle"><h2>Protokoll von 
	/write %guest.url $fulldate
	/write %guest.url </h2></td></tr><tr><td colspan="2" width="650" height="50" align="right" valign="middle">
	/write %guest.url <a class="menu" href="index.html" target="_parent">Übersicht</a>
	/write %guest.url <a class="menu" href="
	/write %guest.url %guest.joti.weburl
	/write %guest.url " target="_parent">Website</a>
	/write %guest.url <a class="menu" href="mailto:
	/write %guest.url %guest.joti.email
	/write %guest.url ?SUBJECT=JOTA-JOTI %currentyear">E-Mail</a>
	/write %guest.url </td></tr>
	/write %guest.url <tr><td colspan="1" width="210" height="210" align="center" valign="middle">
	/write %guest.url <A href="
	/write %guest.url %guest.joti.avatar
	/write %guest.url " target="_blank">
	/write %guest.url <img src="
	/write %guest.url %guest.joti.avatar
	/write %guest.url " class="text"></a>
	/write %guest.url </td><td colspan="1" width="440" height="210"><h3>Gechattet auf IRC mit: 
	/write %guest.url %guest.joti.nickname
	/write %guest.url <br>Am
	/write %guest.url %guest.datumscoutinggroep
	/write %guest.url um 
	/write %guest.url %guest.tijdscoutinggroep
	/write %guest.url <br>Name:
	/write %guest.url %guest.joti.naam
	/write %guest.url <br>Teilnahme:
	/write %guest.url %guest.joti.deelname
	/write %guest.url <br>Teilnehmernummer:
	/write %guest.url %guest.joti.jid
	/write %guest.url <br>Call:
	/write %guest.url %guest.joti.call
	/write %guest.url <br>QTH Locator:
	/write %guest.url %guest.joti.qth
	/write %guest.url <br></td></tr><tr><td colspan="2" width="650" height="10"></td></tr><tr><td colspan="2" width="650" height="350">
	/write %guest.url <center><iframe width="400" height="300" frameborder="0" style="border:0" src="
	/write %guest.url %guest.search
	/write %guest.url "></iframe></center></td></tr><tr><td colspan="2" width="650" height="10"><hr></hr></td></tr><td colspan="2" width="650" height="50"><center><a class="menu" href="#top" target="_parent">nach oben</a></center></td></tr><tr><td colspan="2" width="650" height="80"><h4>Copyright %currentyear ScoutLink</h4><h5>JOTA-JOTI %currentyear</h5></td></tr></table></div>/body></html>
	/write -il20 $adiircdir\records\index.html <a href=" %guest.link " target=_parent">Protokollierungsdatum:  $+ $date(dd-mm-yyyy) $+ _ $+ $time(HH:nn) $+ </a><br>
	/url %guest.url 
	/timerUNSET 1 5 unset.profile1
}

alias unset.profile1 {
	/unset %guest.joti.nickname
	/unset %guest.joti.naam
	/unset %guest.joti.email
	/unset %guest.joti.weburl
	/unset %guest.joti.woonplaats 
	/unset %guest.joti.localadmin
	/unset %guest.joti.predix
	/unset %guest.joti.avatar
	/unset %guest.joti.jid
	/unset %guest.joti.deelname
	/unset %guest.joti.call
	/unset %guest.joti.qth
}

alias addlog {
	/dialog -m addlog addlog
	/inc %logcounter
}

dialog addlog {
	title "Protokolleintrag eingeben"
	size -1 -1 400 525
	icon 1, 1 1 400 188, $adiircdir\pix\banner6A.jpg
	text "Bitte füllen Sie die folgenden Angaben aus",2, 10 195 200 25
	text "Gruppe/Pfadfinder",3, 10 220 175 25
	edit "",4, 190 220 200 20, limit 120
	text "E-Mail-Adresse",5, 10 245 175 25
	edit "",6, 190 245 200 20, limit 120
	text "Website",7, 10 270 175 25
	edit "",8, 190 270 200 20, limit 120
	text "Stadt",9, 10 295 175 25
	edit "",10, 190 295 200 20
	text "über",11, 10 320 175 25
	combo 12,190 320 120 140,drop 
	text "Call/Name",13, 10 345 175 25
	edit "",14, 190 345 200 20
	text "QTH Locator",15, 10 370 150 25
	edit "",16, 190 370 200 20
	text "Bemerkungen",19, 10 395 150 25
	edit "",18, 10 420 380 45
	button "Eintragen",100, 100 470 100 25, OK
	button "Abbrechen" 101, 200 470 100 25 CANCEL
}

on *:DIALOG:addlog:init:0: { 
	did -a addlog 12 80m
	did -a addlog 12 2m
	did -a addlog 12 70m
	did -a addlog 12 ATV
	did -a addlog 12 Skype
	did -a addlog 12 Teamspeak
	did -a addlog 12 ScoutLink Minecraft
	did -a addlog 12 Facebook msg
	did -a addlog 12 Google hangout
	did -a addlog 12 JOTI-TV
	did -a addlog 12 IRL  
	did -a addlog 12 IRC
} 

On *:DIALOG:addlog:sclick:100: {
	/set %guest.joti.naam $did(addlog,4).text
	/set %guest.joti.email $did(addlog,6).text
	/set %guest.joti.weburl $did(addlog,8).text
	/set %guest.joti.woonplaats $did(addlog,10).text
	/set %guest.joti.via $did(addlog,14).text
	/set %guest.joti.call $did(addlog,14).text
	/set %guest.joti.qth $did(addlog,16).text
	/set %guest.opmerkungen $did(addlog,18).text
	/generate.html.2
}

On *:DIALOG:addlog:sclick:101: {
	/dialog -x addlog
}
alias generate.html.2 {
	if (%guest.joti.avatar == $null) {
		/set %guest.joti.avatar https://jotiirc.scoutlink.nl/default/defaultavatar.jpg
	}
	
	/set %guest.datumscoutinggroep $date(dd-mm-yyyy)
	/set %guest.tijdscoutinggroep $time(HH:nn) Uhr
	/set %guest.url $adiircdir\records\log $+ %logcounter $+ _ $+ %setup.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html
	/set %guest.link log $+ %logcounter $+ _ $+ %guest.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html
	/set %guest.search https://www.google.com/maps/embed/v1/place?key=AIzaSyCwdL_3SnjNV5FYNjAQe8O_gljXve4oOnk&q= $+ $replace(%guest.plaatsscoutinggroep ,$chr(32),$+(+))
	/write %guest.url <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
	/write %guest.url <html><head><meta name="keywords" content="JOTA-JOTI LJJO Scouting Nederland ScoutLink JOTI-IRC irc client"><meta name="description" content="JOTA-JOTI %currentyear logs"><meta name="robots" content="index, follow"><meta name="author" content="JOTI-IRC %currentyear"><meta name="generator"JOTI-IRC %currentyear">
	/write %guest.url <title>
	/write %guest.url $fulldate
	/write %guest.url </title><style type="text/css">
	/write %guest.url h1 {font-family: Arial, Helvetica, sans-serif; font-size: 40pt; font-weight: bold; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h2 {font-family: Arial, Helvetica, sans-serif; font-size: 20pt; font-weight: bold; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h3 {font-family: Arial, Helvetica, sans-serif; font-size: 14pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: left;}
	/write %guest.url h4 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h5 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url hr {width: 95%; border-color: #F7AC05; height:2px;}
	/write %guest.url img.icon {height: 20px; width: 20px; margin-left: 0px; margin-right: 5px; margin-top: 1px; margin-bottom: 1px;}
	/write %guest.url img.text {width: 200px; margin-left: 5px; margin-right: 5px; margin-top: 5px; margin-bottom: 5px; border-width: 1px; border-style: solid; border-color: #F7AC05;}
	/write %guest.url a.menu:visited {background-color: #F7AC05;display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:link {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:active {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:hover {background-color: #FED272; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #1C1C1C; text-align: center; text-decoration: none; text-transform: uppercase;}
	/write %guest.url </style></head><body bgcolor="#000000"><div align="center"><table width="650" border="0" bgcolor="#1B1D58"><tr><td colspan="2" width="650" height="50" align="center" valign="middle"><a name="top"></a><h1>JOTA-JOTI %currentyear</h1></td></tr><tr><td colspan="2" width="650" height="20" align="center" valign="middle"><h2>Protokoll vom 
	/write %guest.url $fulldate
	/write %guest.url </h2></td></tr><tr><td colspan="2" width="650" height="50" align="right" valign="middle">
	/write %guest.url <a class="menu" href="index.html" target="_parent">Übersicht</a>
	/write %guest.url <a class="menu" href="
	/write %guest.url %guest.joti.weburl
	/write %guest.url " target="_parent">Webseite</a>
	/write %guest.url <a class="menu" href="mailto:
	/write %guest.url %guest.joti.email
	/write %guest.url ?SUBJECT=JOTA-JOTI %currentyear">E-Mail</a>
	/write %guest.url </td></tr>
	/write %guest.url <tr><td colspan="1" width="210" height="210" align="center" valign="middle">
	/write %guest.url <img src="$adiircdir\pix\logo2017.bmp" class="text">
	/write %guest.url </td><td colspan="1" width="440" height="210"><h3>über: 
	/write %guest.url %guest.joti.via
	/write %guest.url mit: 
	/write %guest.url %guest.joti.call
	/write %guest.url <br>am
	/write %guest.url %guest.datumscoutinggroep
	/write %guest.url um
	/write %guest.url %guest.tijdscoutinggroep
	/write %guest.url <br>Gruppe/Pfadfinder:
	/write %guest.url %guest.joti.nickname
	/write %guest.url <br>QTH Locator:
	/write %guest.url %guest.joti.qth
	/write %guest.url <br>Bemerkung:
	/write %guest.url %guest.opmerkungen
	/write %guest.url <br></td></tr><tr><td colspan="2" width="650" height="10"></td></tr><tr><td colspan="2" width="650" height="350">
	/write %guest.url <center><iframe width="400" height="300" frameborder="0" style="border:0" src="
	/write %guest.url %guest.search
	/write %guest.url "></iframe></center></td></tr><tr><td colspan="2" width="650" height="10"><hr></hr></td></tr><td colspan="2" width="650" height="50"><center><a class="menu" href="#top" target="_parent">nach oben</a></center></td></tr><tr><td colspan="2" width="650" height="80"><h4>Copyright %currentyear ScoutLink</h4><h5>JOTA-JOTI %currentyear</h5></td></tr></table></div>/body></html>
	/write -il20 $adiircdir\records\index.html <a href=" %guest.link " target=_parent">Protokolldatum:  $+ $date(dd-mm-yyyy) $+ _ $+ $time(HH:nn) $+ </a><br>
	/url %guest.url 
	/timerUNSET 1 5 unset.profile2
}

alias unset.profile2 {
	/unset %guest.joti.naam
	/unset %guest.joti.email
	/unset %guest.joti.weburl
	/unset %guest.joti.woonplaats
	/unset %guest.joti.via
	/unset %guest.joti.call
	/unset %guest.joti.qth
	/unset %guest.opmerkungen
}

***** NICKNAME REGISTRATION TOOL JOTI-IRC *****

alias registernick {
    /dialog -m nickregistration nickregistration
}

dialog nickregistration {
  title "Willkommen beim Setup für JOTI-IRC"
  size -1 -1 400 350
  icon 1, 1 1 400 188, $adiircdir\pix\bannernick.jpg
  text "Registriere deinen Nickname",2, 10 195 375 25
  text "Passwort",3, 10 225 175 25
  edit "",4, 190 225 200 20
  text "E-Mail-Adresse",5, 10 255 175 25
  edit "",6, 190 255 200 20
  button "REGISTRIEREN",100, 125 315 175 25 
}

On *:DIALOG:nickregistration:sclick:100:{
    /did -a nickregistration 3 %registerpass 
    /did -a nickregistration 5 %registeremail   
    /msg NickServ register %registerpass %registeremail
    /dialog -x nickregistration
    /unset %registerpass
    /unset %registeremail
    /toolbar -d registernick
}
